# TdApi.InputMessageSticker (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: InputMessageSticker

Package it.tdlight.jni

# Class TdApi.InputMessageSticker

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.InputMessageContent
it.tdlight.jni.TdApi.InputMessageSticker

Enclosing class:
  TdApi

    public static class TdApi.InputMessageSticker
    extends TdApi.InputMessageContent

A sticker message.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `CONSTRUCTOR` |
`String` | `emoji` | Emoji used to choose the sticker.
`int` | `height` | Sticker height.
`TdApi.InputFile` | `sticker` | Sticker to be sent.
`TdApi.InputThumbnail` | `thumbnail` | Sticker thumbnail; pass null to skip thumbnail uploading.
`int` | `width` | Sticker width.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`InputMessageSticker()` | A sticker message.
`InputMessageSticker​(TdApi.InputFile sticker, TdApi.InputThumbnail thumbnail, int width, int height, String emoji)` | A sticker message.
`InputMessageSticker​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### sticker

public TdApi.InputFile sticker
Sticker to be sent.

### thumbnail

public TdApi.InputThumbnail thumbnail
Sticker thumbnail; pass null to skip thumbnail uploading.

### width

public int width
Sticker width.

### height

public int height
Sticker height.

### emoji

public String emoji
Emoji used to choose the sticker.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### InputMessageSticker

public InputMessageSticker()
A sticker message.

### InputMessageSticker

public InputMessageSticker​(TdApi.InputFile sticker, TdApi.InputThumbnail thumbnail, int width, int height, String emoji)
A sticker message.

Parameters:
  `sticker` - InputFile Sticker to be sent.
  `thumbnail` - InputThumbnail Sticker thumbnail; pass null to skip thumbnail uploading.
  `width` - int Sticker width.
  `height` - int Sticker height.
  `emoji` - String Emoji used to choose the sticker.

### InputMessageSticker

public InputMessageSticker​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`